Subject: bug#45926: Tabulated-list-mode wasteful properties

From: "Basil L. Contovounesios" <[email-masked]>
Date: Fri, 12 Mar 2021 10:51:34 +0000

Boruch Baum <[email-masked]> writes:

> Doing it again now. Yes. It's very simple to check for yourself. Open a
> buffer that uses the mode and evaluate from any table line ...
>
>   (buffer-substring (line-beginning-position) (line-end-position))
>
> You should be able to clearly see all the duplication. It's easiest when
> you have pretty-print set up to display the output in a dedicated
> buffer, but even without that you can isearch through the duplications.

Have you tried setting print-circle non-nil first?  This will help you
see what is actually duplicated and what is shared.

-- 
Basil